Create a computer file download
curl --request POST \
--url https://api.factory.ai/api/v0/computers/{computerId}/files/{fileName}/create-download \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sessionId": "<string>",
"contentType": "<string>"
}
'import requests
url = "https://api.factory.ai/api/v0/computers/{computerId}/files/{fileName}/create-download"
payload = {
"sessionId": "<string>",
"contentType": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sessionId: '<string>', contentType: '<string>'})
};
fetch('https://api.factory.ai/api/v0/computers/{computerId}/files/{fileName}/create-download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transferId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiresAt": 123,
"downloadUrl": "<string>",
"byteLength": 1
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}Computers
Create a computer file download
Creates a download by asking the computer daemon to push the requested workspace file to object storage, then returns a browser download URL.
POST
/
api
/
v0
/
computers
/
{computerId}
/
files
/
{fileName}
/
create-download
Create a computer file download
承認
Factory API key or JWT token for authentication
パスパラメータ
Computer ID
Workspace file name
Required string length:
1 - 255Pattern:
^(?=.*\S)(?!.*[\\/])(?!.*\.\.)(?!.*[\x00-\x1F\x7F]).+$ボディ
application/json
⌘I
